#
# spec file for package jakarta-commons-digester
#
# Copyright (c) 2014 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%define base_name       digester
%define short_name      commons-%{base_name}
Name:           jakarta-commons-digester
Version:        1.7
Release:        3.3
Summary:        Jakarta Commons Digester Package
License:        Apache-2.0
Group:          Development/Libraries/Java
Url:            http://jakarta.apache.org/commons/digester/
Source0:        http://www.apache.org/dist/jakarta/commons/digester/source/commons-digester-%{version}-src.tar.gz
Patch0:         %{name}-java14compat.patch
BuildRequires:  ant
BuildRequires:  apache-commons-collections
BuildRequires:  jakarta-commons-beanutils
BuildRequires:  java-devel
BuildRequires:  xml-commons-apis
Requires:       jakarta-commons-beanutils >= 1.7
Requires:       jakarta-commons-logging >= 1.0
Provides:       %{short_name} = %{version}
Obsoletes:      %{short_name} < %{version}
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildArch:      noarch

%description
The goal of the Jakarta Commons Digester project is to create and
maintain an XML to Java object mapping package written in the Java
language to be distributed under the ASF license.

%package javadoc
Summary:        Javadoc for jakarta-commons-digester
Group:          Development/Libraries/Java

%description javadoc
The goal of the Jakarta Commons Digester project is to create and
maintain a XML -> Java object mapping package written in the Java
language to be distributed under the ASF license.

This package contains the javadoc documentation for the Jakarta Commons
Digester Package.

%prep
%setup -q -n %{short_name}-%{version}-src
%patch0

%build
cp LICENSE.txt ../LICENSE
export CLASSPATH=%(build-classpath commons-collections commons-logging commons-beanutils junit)
ant dist
# Build rss -- needed by struts
export CLASSPATH=$CLASSPATH:`pwd`/dist/%{short_name}.jar
(cd src/examples/rss; ant dist)
rm ../LICENSE

%install
# jars
mkdir -p %{buildroot}%{_javadir}
cp -p dist/%{short_name}.jar %{buildroot}%{_javadir}/%{name}-%{version}.jar
cp -p src/examples/rss/dist/%{short_name}-rss.jar %{buildroot}%{_javadir}/%{name}-%{version}-rss.jar
(cd %{buildroot}%{_javadir} && for jar in *-%{version}*; do ln -sf ${jar} `echo $jar| sed "s|jakarta-||g"`; done)
(cd %{buildroot}%{_javadir} && for jar in *-%{version}*; do ln -sf ${jar} `echo $jar| sed "s|-%{version}||g"`; done)
# javadoc
mkdir -p %{buildroot}%{_javadocdir}/%{name}-%{version}
cp -pr dist/docs/api/* %{buildroot}%{_javadocdir}/%{name}-%{version}

%files
%defattr(0644,root,root,0755)
%doc LICENSE.txt NOTICE.txt RELEASE-NOTES.txt
%{_javadir}/*

%files javadoc
%defattr(0644,root,root,0755)
%{_javadocdir}/%{name}-%{version}

%changelog
* Tue Jul  8 2014 tchvatal@suse.com
- Cleanup with spec cleaner and fix build again.
* Mon Sep 25 2006 skh@suse.de
- don't use icecream
- use source="1.4" and target="1.4" for build with java 1.5
* Wed Jan 25 2006 mls@suse.de
- converted neededforbuild to BuildRequires
* Wed Jul 27 2005 jsmeix@suse.de
- Current version 1.7 from JPackage.org
* Mon Jul 18 2005 jsmeix@suse.de
- Current version 1.6 from JPackage.org
* Tue Feb 22 2005 skh@suse.de
- enable build of rss package (needed by struts)
* Mon Feb 21 2005 skh@suse.de
- update to version 1.6
- don't use icecream
* Thu Sep 16 2004 skh@suse.de
- Fix prerequires of javadoc subpackage
* Sun Sep  5 2004 skh@suse.de
- Initial package created with version 1.5 (JPackage version 1.5)
